diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/ChangeLog rtems-4.6.0pre5/cpukit/score/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/ChangeLog	Fri Jun 13 08:25:25 2003
--- rtems-4.6.0pre5/cpukit/score/ChangeLog	Thu Oct  2 07:41:04 2003
***************
*** 1,3 ****
--- 1,53 ----
+ 2003-10-02	Phil Torre <ptorre@zetron.com>
+ 
+ 	PR 504/rtems
+ 	* include/rtems/score/coremutex.h: Add fatal error check for a task
+ 	blocking on a mutex when thread dispatching is disabled.
+ 
+ 2003-09-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 489/rtems
+ 	* include/rtems/score/thread.h: Change struct 
+ 	Thread_Control_struct.libc_reent to using struct _reent*.
+ 	* inline/rtems/score/thread.inl: Reflect change above.
+ 
+ 2003-09-08	Derick Hammond <derick@perkinstechnologies.com.au>
+ 
+ 	PR 484/rtems
+ 	* src/threadcreateidle.c: Idle task name was initialized incorrectly.
+ 
+ 2003-09-08	Mikec Ivica <mikici@acm.org>
+ 
+ 	* inline/rtems/score/userext.inl, macros/rtems/score/userext.inl:
+ 	Add missing cast.
+ 
+ 2003-09-08	Mikec Ivica <mikici@acm.org>
+ 
+ 	* inline/rtems/score/userext.inl, macros/rtems/score/userext.inl:
+ 	Add missing cast.
+ 
+ 2003-07-18	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 430/rtems
+ 	* include/rtems/score/watchdog.h: _Watchdog_Ticks_since_boot should
+ 	be a VOLATILE variable.
+ 	* src/watchdoginsert.c: 'restart' algorithm needs to enforce
+ 	reloading the list head in case a TICK interrupt during ISR_Flash()
+ 	modified the list.  This is achieved by a proper VOLATILE cast.
+ 	Also _Watchdog_Sync_count++ should be protected by _ISR_Disable
+ 	(prevent corruption in case ISR calls watchdoginsert)
+ 	* src/watchdogadjust.c: ISR protection added.
+ 	* src/watchdogtickle.c: ISR protection added.
+ 	NOTE: PowerPC BSPs using the new exception processing MUST BE UPDATED
+ 	to maintain _ISR_Nest_level. See also PR288 which provides fixes
+ 	for the affected BSPs distributed with RTEMS.
+ 
+ 2003-07-07	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 417/rtems
+ 	* src/coresemsurrender.c: Correct incorrect check for maximum_count
+ 	reported by Sergei Organov <osv@topconrd.ru>.
+ 
  2003-06-13	Joel Sherrill <joel@OARcorp.com>
  
  	* src/threadloadenv.c: Removed warnings.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/a29k/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/a29k/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/a29k/ChangeLog	Thu Mar  6 03:39:00 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/a29k/ChangeLog	Thu Sep  4 13:47:21 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S, rtems/score/a29k.h, rtems/score/cpu.h,
+ 	rtems/score/cpu_asm.h, rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/arm/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/arm/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/arm/ChangeLog	Thu Apr 24 05:55:40 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/arm/ChangeLog	Thu Sep  4 13:47:22 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* asm.h, cpu.c, cpu_asm.S, rtems/score/arm.h, rtems/score/cpu.h,
+ 	rtems/score/cpu_asm.h, rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-04-24	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* rtems/score/cpu.h: Fix typo in __ARMEB__ handling.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/c4x/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/c4x/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/c4x/ChangeLog	Thu Mar  6 03:39:33 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/c4x/ChangeLog	Thu Sep  4 13:47:23 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S, irq.c, rtems/score/c4x.h, rtems/score/cpu.h,
+ 	rtems/score/cpu_asm.h, rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/h8300/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/h8300/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/h8300/ChangeLog	Thu Mar  6 03:39:39 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/h8300/ChangeLog	Thu Sep  4 13:47:24 2003
***************
*** 1,3 ****
--- 1,17 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* asm.h, cpu.c, cpu_asm.S, rtems/score/cpu.h, rtems/score/h8300.h,
+ 	rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-14	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 455/bsps
+ 	* rtems/score/cpu.h: Added missing CPU_swap_u16().
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/hppa1.1/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/hppa1.1/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/hppa1.1/ChangeLog	Thu Mar  6 03:39:43 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/hppa1.1/ChangeLog	Thu Sep  4 13:47:25 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S, rtems/score/cpu.h, rtems/score/hppa.h: URL for
+ 	license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/i386/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/i386/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/i386/ChangeLog	Thu Mar  6 03:39:47 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/i386/ChangeLog	Thu Sep  4 13:47:26 2003
***************
*** 1,3 ****
--- 1,14 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S, rtems/score/cpu.h, rtems/score/i386.h,
+ 	rtems/score/idtr.h, rtems/score/interrupts.h,
+ 	rtems/score/registers.h, rtems/score/types.h: URL for license
+ 	changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/i960/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/i960/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/i960/ChangeLog	Thu Mar  6 03:39:51 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/i960/ChangeLog	Thu Sep  4 13:47:27 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S, rtems/score/cpu.h, rtems/score/i960.h,
+ 	rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/m68k/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/m68k/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/m68k/ChangeLog	Thu Mar  6 03:39:55 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/m68k/ChangeLog	Thu Sep  4 13:47:28 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S, rtems/score/cpu.h, rtems/score/m68k.h,
+ 	rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/mips/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/mips/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/mips/ChangeLog	Thu Mar  6 03:40:00 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/mips/ChangeLog	Thu Sep  4 13:47:30 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S, rtems/score/cpu.h, rtems/score/mips.h,
+ 	rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/mips64orion/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/mips64orion/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/mips64orion/ChangeLog	Thu Mar  6 03:40:05 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/mips64orion/ChangeLog	Thu Sep  4 13:47:32 2003
***************
*** 1,3 ****
--- 1,13 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S, cpu_asm.h, rtems/score/cpu.h,
+ 	rtems/score/mips64orion.h, rtems/score/types.h: URL for license
+ 	changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/no_cpu/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/no_cpu/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/no_cpu/ChangeLog	Thu Mar  6 03:40:09 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/no_cpu/ChangeLog	Thu Sep  4 13:47:34 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.c, rtems/score/cpu.h, rtems/score/cpu_asm.h,
+ 	rtems/score/no_cpu.h, rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/or32/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/or32/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/or32/ChangeLog	Thu Mar  6 03:40:12 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/or32/ChangeLog	Thu Sep  4 13:47:35 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.c, rtems/score/cpu.h, rtems/score/cpu_asm.h,
+ 	rtems/score/or32.h, rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/powerpc/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/powerpc/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/powerpc/ChangeLog	Thu Mar  6 03:40:16 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/powerpc/ChangeLog	Thu Sep  4 13:47:36 2003
***************
*** 1,3 ****
--- 1,25 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* rtems/new-exceptions/cpu.h, rtems/old-exceptions/cpu.h,
+ 	rtems/powerpc/registers.h, rtems/score/ppc.h, rtems/score/types.h:
+ 	URL for license changed.
+ 
+ 2003-08-21	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 457/bsps
+ 	* rtems/powerpc/registers.h: Add a few definitions for the PowerPC
+ 	thermal assistance unit.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
+ 2003-07-18	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 288/rtems
+ 	* rtems/new-exceptions/cpu.h: _ISR_Nest_level is now properly
+ 	maintained and does not reside in SPRG0.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/sh/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/sh/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/sh/ChangeLog	Thu Mar  6 03:40:20 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/sh/ChangeLog	Thu Sep  4 13:47:39 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* asm.h, cpu.c, rtems/score/cpu.h, rtems/score/sh.h,
+ 	rtems/score/sh_io.h, rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/sparc/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/sparc/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/sparc/ChangeLog	Thu Mar  6 03:40:24 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/sparc/ChangeLog	Thu Sep  4 13:47:40 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S, rtems/score/cpu.h, rtems/score/sparc.h,
+ 	rtems/score/types.h: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/cpukit/score/cpu/unix/ChangeLog rtems-4.6.0pre5/cpukit/score/cpu/unix/ChangeLog
*** rtems-4.6.0pre4/cpukit/score/cpu/unix/ChangeLog	Thu Apr 17 05:55:13 2003
--- rtems-4.6.0pre5/cpukit/score/cpu/unix/ChangeLog	Thu Sep  4 13:47:42 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, rtems/score/cpu.h, rtems/score/types.h, rtems/score/unix.h:
+ 	URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-04-17	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* Makefile.am: Add PREINSTALL_FILES and TMPINSTALL_FILES to
diff -N -P -r -c rtems-4.6.0pre4/doc/ChangeLog rtems-4.6.0pre5/doc/ChangeLog
*** rtems-4.6.0pre4/doc/ChangeLog	Wed May 21 18:16:33 2003
--- rtems-4.6.0pre5/doc/ChangeLog	Mon Sep 22 06:36:42 2003
***************
*** 1,3 ****
--- 1,43 ----
+ 2003-09-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* common/.cvsignore: Add rtems.texi, rtems.sed.
+ 
+ 2003-08-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* acinclude.m4: New.
+ 	* common/rtems.texi.in: New.
+ 	* configure.ac: Reflect changes above.
+ 	* project.am: Add COMMON_FILES.
+ 	Add rules to build common/rtems.texi.
+ 	* common/setup.texi: Remove RTEMS* VARs, moved to
+ 	common/rtems.texi.in.
+ 	* Makefile.am: Add common/rtems.texi to CLEANFILES.
+ 	Add common/rtems.sed to DISTCLEANFILES.
+ 
+ 2003-08-29	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* HELP.html, index.html.in, rtems_footer.html.in, rtems_header.html.in,
+ 	rtems_support.html.in, FAQ/basic.t, FAQ/build45.t,
+ 	bsp_howto/analog.t, bsp_howto/discrete.t, bsp_howto/nvmem.t,
+ 	bsp_howto/target.t, common/cpright.texi, gnu_docs/gnu_footer.html,
+ 	gnu_docs/gnu_header.html, gnu_docs/index.html, gnu_docs/refcard.html,
+ 	gnu_docs/rtems_tools_index.html, relnotes/install.texi,
+ 	relnotes/intro.texi, relnotes/status.texi, started/nextstep.t,
+ 	started_ada/intro.t, started_ada/tversions.texi: Migrate many
+ 	obsolete references from oarcorp.com to rtems.com. Also send people
+ 	to the support.html page rather than duplicate information.
+ 	* images/rtems_logo.jpg: New file.
+ 	* SUPPORT: Removed.
+ 
+ 2003-08-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Extract toolversions from ../scripts/setup.def.
+ 	Propagate them to started/tversions.sed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-05-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* Makefile.am: Remove src2html.
diff -N -P -r -c rtems-4.6.0pre4/doc/FAQ/ChangeLog rtems-4.6.0pre5/doc/FAQ/ChangeLog
*** rtems-4.6.0pre4/doc/FAQ/ChangeLog	Thu May 22 02:57:59 2003
--- rtems-4.6.0pre5/doc/FAQ/ChangeLog	Wed Sep  3 14:29:06 2003
***************
*** 1,3 ****
--- 1,24 ----
+ 2003-09-03	Aaron J. Grier <aaron@frye.com>
+ 
+ 	* tools.t: Added how to generate and apply a patch.
+ 
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* FAQ.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 	* basic.t: Use RTEMSHTTPURL instead of http://www.rtems.com.
+ 	* build45.t: Use RTEMSPREFIX instead of /opt/rtems.
+ 
+ 2003-08-28	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* basic.t, build45.t, tools.t: Reflect new VARS in
+ 	../common/setup.texi, various minor changes and fixes.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* basic.t, entry: Reconcile differences between CVS trunk and 4.6
+ 	branch.
+ 
  2003-05-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* build45.t: Fix typo (config.long).
diff -N -P -r -c rtems-4.6.0pre4/doc/ada_user/ChangeLog rtems-4.6.0pre5/doc/ada_user/ChangeLog
*** rtems-4.6.0pre4/doc/ada_user/ChangeLog	Sat Jan 25 10:45:50 2003
--- rtems-4.6.0pre5/doc/ada_user/ChangeLog	Sat Aug 30 00:37:52 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* ada_users.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-01-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* ada_user.texi: Set @setfilename ada_user.info.
diff -N -P -r -c rtems-4.6.0pre4/doc/bsp_howto/ChangeLog rtems-4.6.0pre5/doc/bsp_howto/ChangeLog
*** rtems-4.6.0pre4/doc/bsp_howto/ChangeLog	Wed May 21 18:29:58 2003
--- rtems-4.6.0pre5/doc/bsp_howto/ChangeLog	Sat Aug 30 01:10:37 2003
***************
*** 1,3 ****
--- 1,9 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* bsp_howto.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 	* target.t: Use RTEMSHTTPURL instead of www.rtems.com.
+ 
  2003-05-21	Ralf corsepius <corsepiu@faw.uni-ulm.de>
  
  	* adaintr.t, ata.t, ide-ctrl.t, target.t: Various typo-fixes, Update
diff -N -P -r -c rtems-4.6.0pre4/doc/common/ChangeLog rtems-4.6.0pre5/doc/common/ChangeLog
*** rtems-4.6.0pre4/doc/common/ChangeLog	Wed Mar 27 18:52:43 2002
--- rtems-4.6.0pre5/doc/common/ChangeLog	Thu Aug 28 08:42:44 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2002-08-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* setup.texi: Add various vars to reflect rtems.com.
+ 
  2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* Makefile.am: Remove AUTOMAKE_OPTIONS.
diff -N -P -r -c rtems-4.6.0pre4/doc/develenv/ChangeLog rtems-4.6.0pre5/doc/develenv/ChangeLog
*** rtems-4.6.0pre4/doc/develenv/ChangeLog	Tue Apr 29 05:28:41 2003
--- rtems-4.6.0pre5/doc/develenv/ChangeLog	Sat Aug 30 00:38:49 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* develenv.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-04-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* develenv.texi: Fix @setfilename to develenv.info.
diff -N -P -r -c rtems-4.6.0pre4/doc/filesystem/ChangeLog rtems-4.6.0pre5/doc/filesystem/ChangeLog
*** rtems-4.6.0pre4/doc/filesystem/ChangeLog	Sat Jan 25 10:45:57 2003
--- rtems-4.6.0pre5/doc/filesystem/ChangeLog	Sat Aug 30 01:10:41 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* filesystem.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-01-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* filesystem.texi: Set @setfilename filesystem.info.
diff -N -P -r -c rtems-4.6.0pre4/doc/itron3.0/ChangeLog rtems-4.6.0pre5/doc/itron3.0/ChangeLog
*** rtems-4.6.0pre4/doc/itron3.0/ChangeLog	Sat Jan 25 10:45:59 2003
--- rtems-4.6.0pre5/doc/itron3.0/ChangeLog	Sat Aug 30 01:10:44 2003
***************
*** 1,3 ****
--- 1,9 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* itron.texi: include common/rtems.texi.
+ 	include common/cpright.texi
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-01-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* itron.texi: Set @setfilename itron.info.
diff -N -P -r -c rtems-4.6.0pre4/doc/networking/ChangeLog rtems-4.6.0pre5/doc/networking/ChangeLog
*** rtems-4.6.0pre4/doc/networking/ChangeLog	Tue Feb 11 17:08:49 2003
--- rtems-4.6.0pre5/doc/networking/ChangeLog	Thu Oct  2 07:52:45 2003
***************
*** 1,3 ****
--- 1,13 ----
+ 2003-10-02	Gene Smith <gene.smith@siemens.com>
+ 
+ 	* networkapp.t, preface.texi: Improve documentation for SO_RCVWAKEUP
+ 	and SO_SNDWAKEUP and update the references in the preface.
+ 
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* networking.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-02-11	Jay Monkman <jtm@smoothsmoothie.com>
  
  	* networkapp.t: Add an example code snippet for adding a default route.
diff -N -P -r -c rtems-4.6.0pre4/doc/new_chapters/ChangeLog rtems-4.6.0pre5/doc/new_chapters/ChangeLog
*** rtems-4.6.0pre4/doc/new_chapters/ChangeLog	Sat Jan 25 10:46:03 2003
--- rtems-4.6.0pre5/doc/new_chapters/ChangeLog	Sat Aug 30 01:10:50 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* new_chapters.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-01-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* new_chapters.texi: Set @setfilename new_chapters.info.
diff -N -P -r -c rtems-4.6.0pre4/doc/porting/ChangeLog rtems-4.6.0pre5/doc/porting/ChangeLog
*** rtems-4.6.0pre4/doc/porting/ChangeLog	Mon Apr  7 11:16:13 2003
--- rtems-4.6.0pre5/doc/porting/ChangeLog	Sat Aug 30 01:10:53 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* porting.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpumodels.t: Reconcile differences between CVS trunk and 4.6 branch.
+ 
  2003-04-07	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* sourcecode.t: cpukit/score/cpu.
diff -N -P -r -c rtems-4.6.0pre4/doc/posix1003.1/ChangeLog rtems-4.6.0pre5/doc/posix1003.1/ChangeLog
*** rtems-4.6.0pre4/doc/posix1003.1/ChangeLog	Sat Jan 25 10:46:07 2003
--- rtems-4.6.0pre5/doc/posix1003.1/ChangeLog	Mon Sep  1 10:31:18 2003
***************
*** 1,3 ****
--- 1,15 ----
+ 2003-09-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* ch07.t: Don't use raisesections/lowersections (texi2www can't deal
+ 	with them); Use @itemize instead of subsubsubsection (Too deep).
+ 	* posix1003_1.texi: Use ifnottex instead of ifinfo.
+ 	* preface.texi: Use ifnottex instead of ifinfo
+ 
+ 2003-08-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* posix1003_1.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-01-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* posix1003_1.texi: Set @setfilename posix1003_1.info.
diff -N -P -r -c rtems-4.6.0pre4/doc/posix_users/ChangeLog rtems-4.6.0pre5/doc/posix_users/ChangeLog
*** rtems-4.6.0pre4/doc/posix_users/ChangeLog	Sat Jan 25 10:46:10 2003
--- rtems-4.6.0pre5/doc/posix_users/ChangeLog	Sat Aug 30 01:11:00 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* posix_users.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-01-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* posix_users.texi: Set @setfilename posix_users.info.
diff -N -P -r -c rtems-4.6.0pre4/doc/relnotes/ChangeLog rtems-4.6.0pre5/doc/relnotes/ChangeLog
*** rtems-4.6.0pre4/doc/relnotes/ChangeLog	Sat Jan 25 10:46:13 2003
--- rtems-4.6.0pre5/doc/relnotes/ChangeLog	Sat Aug 30 01:11:03 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* relnotes.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-01-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* relnotes.texi: Set @setfilename relnotes.info.
diff -N -P -r -c rtems-4.6.0pre4/doc/rgdb_specs/ChangeLog rtems-4.6.0pre5/doc/rgdb_specs/ChangeLog
*** rtems-4.6.0pre4/doc/rgdb_specs/ChangeLog	Thu May 22 02:58:03 2003
--- rtems-4.6.0pre5/doc/rgdb_specs/ChangeLog	Sat Aug 30 01:11:05 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* rgdb_specs.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-05-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* daemon.t: Reflect c/src/exec having moved to cpukit.
diff -N -P -r -c rtems-4.6.0pre4/doc/rtems_gdb/ChangeLog rtems-4.6.0pre5/doc/rtems_gdb/ChangeLog
*** rtems-4.6.0pre4/doc/rtems_gdb/ChangeLog	Thu May 22 02:58:01 2003
--- rtems-4.6.0pre5/doc/rtems_gdb/ChangeLog	Sat Aug 30 01:11:08 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* rtems_gdb.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-05-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* example.t: Reflect c/src/exec having moved to cpukit.
diff -N -P -r -c rtems-4.6.0pre4/doc/started/ChangeLog rtems-4.6.0pre5/doc/started/ChangeLog
*** rtems-4.6.0pre4/doc/started/ChangeLog	Fri Apr 18 07:59:34 2003
--- rtems-4.6.0pre5/doc/started/ChangeLog	Thu Oct  2 13:01:35 2003
***************
*** 1,3 ****
--- 1,60 ----
+ 2003-10-02	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* Makefile.am, binaries.t, buildc.t, intro.t, nextstep.t, require.t,
+ 	sample.t, started.texi: General improvements and merge enough Ada
+ 	information to justify dropping the Ada specific manual. There is
+ 	likely still Ada specific information to merge though.
+ 
+ 2003-09-26	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* nt.t: Significant update of Windows information. Hopefully this is
+ 	now more useful.
+ 
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* started.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 	* binaries.t: Fix list of supported binary packages.
+ 	Comment out references to cygwin rpms.
+ 	Fix definition of RPM. Add Java to optional langs.
+ 	Use RTEMSPREFIX instead of /opt/rtems.
+ 	* buildc.t: Use RTEMSPREFIX instead of /opt/rtems.
+ 	* buildrt.t: Various minor fixes.
+ 	Use --disable-networking instead of --disable-tcpip.
+ 	Use RTEMSPREFIX instead of /opt/rtems.
+ 	* nextstep.t: Remove some more refs to oarcorp.com.
+ 	Use RTEMSHTTPURL instead of www.rtems.com.
+ 	* started/tversions.texi.in: Use @value{VERSION} instead of
+ 	hard-coded "4.6.0"
+ 
+ 2003-08-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* tversions.texi: Remove.
+ 	* tversions.texi.in: New (dynamically created).
+ 	* Makefile.am: Reflect changes above.
+ 	* binaries.t, buildc.t, buildrt.t, intro.t, nextstep.t, nt.t:
+ 	Various changes (actual tool versions, rtems.com, fixes).
+ 
+ 2003-08-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* intro.t, nextstep.t: Fix mailing list addresses.
+ 
+ 2003-08-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* buildc.t, buildrt.t, started/nt.t, sample.t, tversions.texi:
+ 	Don't use VARIABLEs containing '-' in @set and @value (violates
+ 	texi-syntax).
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 469/doc
+ 	* buildc.t: Clarifying text on patch file to account for various ways
+ 	they could be compressed or not.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* tversions.texi: Correcting version information.
+ 
  2003-04-18	Joel Sherrill <joel@OARcorp.com>
  
  	* tversions.texi: Updated to reflect gcc3.2.2newlib1.11.0-2.
diff -N -P -r -c rtems-4.6.0pre4/doc/started_ada/ChangeLog rtems-4.6.0pre5/doc/started_ada/ChangeLog
*** rtems-4.6.0pre4/doc/started_ada/ChangeLog	Sat Jan 25 10:46:22 2003
--- rtems-4.6.0pre5/doc/started_ada/ChangeLog	Sat Aug 30 01:11:11 2003
***************
*** 1,3 ****
--- 1,14 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* started_ada.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
+ 2003-08-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* buildada.t, gdb.t, tversions.texi:
+ 	Don't use VARIABLEs containing '-' in @set and @value (violates
+ 	texi-syntax).
+ 
  2003-01-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* started_ada.texi: Set @setfilename started_ada.info.
diff -N -P -r -c rtems-4.6.0pre4/doc/supplements/ChangeLog rtems-4.6.0pre5/doc/supplements/ChangeLog
*** rtems-4.6.0pre4/doc/supplements/ChangeLog	Sat Jan 25 08:56:20 2003
--- rtems-4.6.0pre5/doc/supplements/ChangeLog	Sat Sep 20 02:39:30 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-09-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* supplement.am: Add -I $(top_builddir) TEXI2WWW_ARGS.
+ 
  2003-01-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* Makefile.am: Add c4x, cosmetical changes.
diff -N -P -r -c rtems-4.6.0pre4/doc/supplements/arm/ChangeLog rtems-4.6.0pre5/doc/supplements/arm/ChangeLog
*** rtems-4.6.0pre4/doc/supplements/arm/ChangeLog	Sat Jan 25 10:46:24 2003
--- rtems-4.6.0pre5/doc/supplements/arm/ChangeLog	Sat Aug 30 00:47:59 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* arm.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-01-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* arm.texi: Set @setfilename arm.info.
diff -N -P -r -c rtems-4.6.0pre4/doc/supplements/c4x/ChangeLog rtems-4.6.0pre5/doc/supplements/c4x/ChangeLog
*** rtems-4.6.0pre4/doc/supplements/c4x/ChangeLog	Thu May 22 03:06:57 2003
--- rtems-4.6.0pre5/doc/supplements/c4x/ChangeLog	Sat Aug 30 00:48:02 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* c4x.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-05-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* cpumodel.t: Reflect c/src/exec having moved to cpukit.
diff -N -P -r -c rtems-4.6.0pre4/doc/supplements/hppa1_1/ChangeLog rtems-4.6.0pre5/doc/supplements/hppa1_1/ChangeLog
*** rtems-4.6.0pre4/doc/supplements/hppa1_1/ChangeLog	Thu May 22 03:07:00 2003
--- rtems-4.6.0pre5/doc/supplements/hppa1_1/ChangeLog	Sat Aug 30 00:48:05 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* hppa1_1.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-05-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* cpumodel.t: Reflect c/src/exec having moved to cpukit.
diff -N -P -r -c rtems-4.6.0pre4/doc/supplements/i386/ChangeLog rtems-4.6.0pre5/doc/supplements/i386/ChangeLog
*** rtems-4.6.0pre4/doc/supplements/i386/ChangeLog	Thu May 22 03:07:02 2003
--- rtems-4.6.0pre5/doc/supplements/i386/ChangeLog	Sat Aug 30 00:48:08 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
+ 
+ 	* i386.texi: include common/rtems.texi.
+ 	* Makefile.am: Reflect changes to $(top_srcdir)/project.am.
+ 
  2003-05-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* cpumodel.t: Reflect c/src/exec having moved to cpukit.
